Update an address

Update a specific address.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

To use this endpoint, select Write Addresses under the Addresses category when creating or editing an API token. Learn More.

Path Params
string
required

ID of the Address. This can either be the Samsara-provided ID or an external ID. External IDs are customer-specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, crmId:abc123

Body Params

The address fields to update.

addressTypes
array of strings

Reporting location type associated with the address (used for ELD reporting purposes). Valid values: yard, shortHaul, workforceSite, riskZone, industrialSite, alertsOnly, agricultureSource, avoidanceZone, knownGPSJammingZone, authorizedZone, unauthorizedZone, vendor, inventory.

addressTypes
contactIds
array of strings

An array of Contact IDs associated with this Address.

contactIds
externalIds
object

The external IDs for the given object.

string
length ≤ 1024

The full street address for this address/geofence, as it might be recognized by Google Maps.

geofence
object

The geofence that defines this address and its bounds. This can either be a circle or a polygon, but not both.

double

Latitude of the address. Will be geocoded from formattedAddress if not provided.

double

Longitude of the address. Will be geocoded from formattedAddress if not provided.

string
length ≤ 255

Name of the address.

string
length ≤ 280

Notes about the address.

tagIds
array of strings

An array of IDs of tags to associate with this address.

tagIds
Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json